
* GLOBAL NET DEFINITIONS
.PARAM insensitivity = NO
.GLOBAL VDD!

.include ds50pci402_enc.sp
.include prbs7.inc


*****************************************************************
* netlist example at 5.0Gbps, change prbs7 for desired stimulus
****************************************************************** 
* The value of V1 in voltage sources V4 and V5 must equal one 
* half of the single ended pattern generator amplitude.  In 
* this example the input signals are 500mV and the value of V1
* in both sources is set at 250mV. 
*****************************************************************
C1 inp vp 100n
C0 inn vn 100n
V2 VCC 0 dc=2.5
V3 VEE 0 dc=0 
* pulse N1 N2 PULSE V1 V2 TD Tr Tf PW Period
V5 vp vinp PULSE 0.25 0 500p 0.5n 0.5n 1 2
V4 vn vinn PULSE 0.25 0 500p 0.5n 0.5n 1 2
Xpattern vinp vinn bitdrive
Vmid outmid 0 dc=1.2


R22 inn vn 1G
R23 inp vp 1G

******************************************************************
*  Equalization settings. GST=number of stages, BST=boost level
******************************************************************

R11 gst1 VEE 1
R9 gst0 VEE 1

R1 bst2 VEE 1
R2 bst1 VEE 1
R3 bst0 VEE 1

******************************************************************
*  rate_sel=datarate select, VCC=gen2=5Gb/s, VEE=gen1=2.5Gb/s 
******************************************************************

R21 rate_sel VCC 1

******************************************************************
*  De-emphasis settings. Refer to additional docs for truth table 
******************************************************************

R4 de_sel7 VEE 1
R5 de_sel6 VEE 1
R6 de_sel5 VEE 1
R7 de_sel4 VEE 1
R14 de_sel3 VEE 1
R13 de_sel2 VEE 1
R12 de_sel1 VEE 1
R10 de_sel0 VCC 1

R8 vod_sel6 VEE 1
R20 vod_sel5 VEE 1
R19 vod_sel4 VEE 1
R18 vod_sel3 VCC 1
R17 vod_sel2 VCC 1
R16 vod_sel1 VCC 1
R15 vod_sel0 VCC 1

******************************************************************
* Loading, AC coupling and termination
******************************************************************

C2 outp outhp 100n
C3 outn outhn 100n
*C4 outn 0 1p  *optional loading
*C5 outp 0 1p  *optional loading
R30 outhp outmid 50
R31 outhn outmid 50

******************************************************************
*  Slice pinout 
*  Note DS50PCI401 and DS50PCI402 share datapath IP
******************************************************************

XI0 outn outp VCC VEE bst2 bst1 bst0 de_sel7 de_sel6 de_sel5 de_sel4
+ de_sel3 de_sel2 de_sel1 de_sel0 gst1 gst0 inn inp rate_sel
+ vod_sel6 vod_sel5 vod_sel4 vod_sel3 vod_sel2 vod_sel1 vod_sel0
+ DS50PCI401_top_analog


*****************************************************************
* HSPICE commands
*****************************************************************
.OPTIONS runlvl=3 off node list acct=2 dv=0.1 dchold=100

.PRINT TRAN
+ diff_out=par('v(outhp) - v(outhn)')
+ diff_in=par('v(inp) - v(inn)')

.OP 20n
.TRAN  1p 15n
.option post converge=1
.TEMP    27.0000
.probe v(*) i(v*)
.END
